#!/bin/bash

set -e
set -x

echo temp:$TEMP tmp:$TMP
if [ -z "$OSGEO4W_ROOT" ]; then
    echo OSGEO4W_ROOT not set
    exit 1
fi

if [ -z "$OSGEO4W_ROOT_MSYS" ]; then
    D=${OSGEO4W_ROOT%%:*}
    P=${OSGEO4W_ROOT#?:}
    P=${P//\\/}
    export OSGEO4W_ROOT_MSYS=/$D/$P
fi

export PATH=.:/mingw/mingw/bin:/mingw/bin:/usr/bin:/bin:$OSGEO4W_ROOT_MSYS/bin:/c/WINDOWS/system32:/c/WINDOWS:/c/WINDOWS/System32/Wbem:$PWD/mswindows/osgeo4w

cd ..
./configure --build=x86_64-w64-mingw32
make regex.o

ar cru libregex.a regex.o
ranlib libregex.a

rm -rf osgeo4w/install
mkdir -p osgeo4w/install/lib osgeo4w/install/include
cp regex.h osgeo4w/install/include
cp libregex.a osgeo4w/install/lib
